Package picard.arrays.illumina

## Class InfiniumEGTFile

- java.lang.Object
- - picard.arrays.illumina.InfiniumDataFile
  - - picard.arrays.illumina.InfiniumEGTFile

- All Implemented Interfaces:
    `AutoCloseable`

      public class InfiniumEGTFile
      extends InfiniumDataFile
      implements AutoCloseable

  A class to parse the contents of an Illumina Infinium cluster (EGT) file A cluster file contains information about the clustering information used in mapping red / green intensity information to genotype calls

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `callVersion` |
    `String` | `clusterVersion` |
    `String` | `dateCreated` |
    `float[][]` | `devR` |
    `float[][]` | `devTheta` |
    `static String` | `EXTENSION` |
    `String` | `gencallVersion` |
    `boolean` | `isWGT` |
    `String` | `manifestName` |
    `float[][]` | `meanR` |
    `float[][]` | `meanTheta` |
    `int[][]` | `n` |
    `String` | `normalizationVersion` |
    `int` | `numCodes` |
    `String[]` | `rsNames` |
    `Map<String,​Integer>` | `rsNameToIndex` |
    `float[]` | `totalScore` |

    - ### Fields inherited from class picard.arrays.illumina.InfiniumDataFile

      `MAX_UNSIGNED_SHORT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfiniumEGTFile​(File clusterFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `String` | `getManifestName()` |

    - ### Methods inherited from class picard.arrays.illumina.InfiniumDataFile

      `byteArrayToCharArray, byteArrayToFloat, byteArrayToInt, floatToByteArray, getIdentifier, setIdentifier, shortToByteArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXTENSION

          public static final String EXTENSION

      See Also:
        Constant Field Values

    - #### gencallVersion

          public String gencallVersion

    - #### clusterVersion

          public String clusterVersion

    - #### callVersion

          public String callVersion

    - #### normalizationVersion

          public String normalizationVersion

    - #### dateCreated

          public String dateCreated

    - #### isWGT

          public boolean isWGT

    - #### n

          public int[][] n

    - #### meanR

          public float[][] meanR

    - #### meanTheta

          public float[][] meanTheta

    - #### devR

          public float[][] devR

    - #### devTheta

          public float[][] devTheta

    - #### totalScore

          public float[] totalScore

    - #### rsNames

          public String[] rsNames

    - #### manifestName

          public String manifestName

    - #### numCodes

          public int numCodes

    - #### rsNameToIndex

          public Map<String,​Integer> rsNameToIndex

  - ### Constructor Detail

    - #### InfiniumEGTFile

          public InfiniumEGTFile​(File clusterFile)
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getManifestName

          public String getManifestName()